Skip to main content
GET
/
projects
/
{id}
Project
curl --request GET \
  --url https://api.sandbox.isometric.com/registry/v0/projects/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-client-secret: <x-client-secret>'
import requests

url = "https://api.sandbox.isometric.com/registry/v0/projects/{id}"

headers = {
    "x-client-secret": "<x-client-secret>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};

fetch('https://api.sandbox.isometric.com/registry/v0/projects/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "country_code": "<string>",
  "crediting_period_end": "2023-12-25",
  "crediting_period_start": "2023-12-25",
  "current_verifier_name": "<string>",
  "id": "prj_1CTWZQGKE1S0VAXA",
  "issued_buffer_pool_credits_total": {
    "credit_kgs": 123,
    "credits": 123
  },
  "issued_credits_total": {
    "credit_kgs": 123,
    "credits": 123
  },
  "location": {
    "country_code": "<string>",
    "country_name": "<string>",
    "latitude": 0,
    "longitude": 0,
    "description": "<string>"
  },
  "name": "<string>",
  "protocol_slug": "<string>",
  "retired_buffer_pool_credits_total": {
    "credit_kgs": 123,
    "credits": 123
  },
  "retired_credits_total": {
    "credit_kgs": 123,
    "credits": 123
  },
  "short_code": "<string>",
  "supplier": {
    "id": "spl_1CC712KFS1S0YKPS",
    "location": {
      "country_code": "<string>",
      "country_name": "<string>",
      "latitude": 0,
      "longitude": 0,
      "description": "<string>"
    },
    "long_description": "<string>",
    "organisation": {
      "domain": "isometric.com",
      "id": "org_1GB56M1ST1S0GVNA",
      "name": "<string>"
    },
    "short_description": "<string>"
  },
  "url": "<string>",
  "validator_name": "<string>"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "ctx": {},
      "input": "<unknown>"
    }
  ]
}

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Path Parameters

id
string
required
Required string length: 20 - 37
Examples:

"prj_1CTWZQGKE1S0VAXA"

"prj_1E0QTWB22SBX34D1"

Response

Project · object | null

Successful Response

country_code
string
required

A three letter ISO 3166-1 alpha-3 code representing a country

Example:

"GBR"

crediting_period_end
string<date> | null
required
crediting_period_start
string<date> | null
required
current_verifier_name
string | null
required

The name of the organization currently responsible for verifying this project, if assigned

id
string
required
Required string length: 20 - 37
Examples:

"prj_1CTWZQGKE1S0VAXA"

"prj_1E0QTWB22SBX34D1"

issued_buffer_pool_credits_total
CreditQuantity · object
required

The total number of credits from this project that have been allocated to the supplier's buffer pool

issued_credits_total
CreditQuantity · object
required

The total number of credits Isometric has issued to this project, including those allocated to the buffer pool

location
Location · object | null
required
name
string
required
pathway
enum<string>
required

The pathway this project is following

Available options:
biomass_carbon_removal_and_storage,
biosphere,
direct_air_capture,
enhanced_weathering,
carbon_mineralization,
marine,
superpollutants
Example:

"biomass_carbon_removal_and_storage"

protocol_slug
string
required

The slug of the protocol this project is following

retired_buffer_pool_credits_total
CreditQuantity · object
required

The total number of credits from this project that have been retired from the supplier's buffer pool

retired_credits_total
CreditQuantity · object
required

The total number of credits from this project that have been retired, including those allocated to the buffer pool

short_code
string
required

A random short code, uniquely identifying the project

Example:

"F5X7"

status
enum<string>
required

The project status

Available options:
draft,
preview,
under_validation,
validated,
validation_unsuccessful,
cancelled
supplier
Supplier · object
required
url
string
required

The url to the Isometric page for this project

validator_name
string | null
required

The name of the organization responsible for validating this project, if assigned